vigra - LineIterator< IMAGE_ITERATOR > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| LineIterator< IMAGE_ITERATOR > Class Template Reference Image Iterator Adapters |

Iterator adapter to iterate along an arbitrary line on the image. More...

`#include <vigra/imageiteratoradapter.hxx>`

Inherits IMAGE_ITERATOR.

## Public Types
typedef IMAGE_ITERATOR | Adaptee
typedef std::forward_iterator_tag | iterator_category
typedef IMAGE_ITERATOR::value_type | PixelType
typedef IMAGE_ITERATOR::pointer | pointer
typedef IMAGE_ITERATOR::reference | reference
typedef IMAGE_ITERATOR::value_type | value_type

## Public Member Functions
| LineIterator (IMAGE_ITERATOR const &start, IMAGE_ITERATOR const &end)
Navigation
LineIterator & | operator++ ()
LineIterator | operator++ (int)
Methods
bool | operator== (LineIterator const &c) const
bool | operator!= (LineIterator const &c) const
reference | operator* () const
pointer | operator-> () const
Adaptee & | adaptee () const

## Detailed Description

### template<class IMAGE_ITERATOR>
class vigra::LineIterator< IMAGE_ITERATOR >

Iterator adapter to iterate along an arbitrary line on the image.

This iterator may be initialized from a standard ImageIterator, a MultibandImageIterator and so on. It gives you STL-compatible (forward iterator) access to an arbitrary line on the image. The iterator gets associated with the accessor of the base iterator.

#include <vigra/imageiteratoradapter.hxx>
Namespace: vigra

Examples:
  profile.cxx.

## Member Typedef Documentation

typedef IMAGE_ITERATOR::value_type value_type

the iterator's value type

typedef IMAGE_ITERATOR::value_type PixelType

the iterator's value type

typedef IMAGE_ITERATOR::reference reference

the iterator's reference type (return type of `*iter`)

typedef IMAGE_ITERATOR::pointer pointer

the iterator's pointer type (return type of `iter.operator->()`)

typedef std::forward_iterator_tag iterator_category

the iterator tag (forward iterator)

typedef IMAGE_ITERATOR Adaptee

the type of the adapted iterator

## Constructor & Destructor Documentation

LineIterator | ( | IMAGE_ITERATOR const & | start,
|  | IMAGE_ITERATOR const & | end
| ) |  |

Construct from an the image iterator to be adapted.

## Member Function Documentation

bool operator== | ( | LineIterator< IMAGE_ITERATOR > const & | c | ) | const

Equality.

bool operator!= | ( | LineIterator< IMAGE_ITERATOR > const & | c | ) | const

Inequality.

reference operator* | ( |  | ) | const

Access current pixel.

pointer operator-> | ( |  | ) | const

Call member function for current pixel.

Adaptee& adaptee | ( |  | ) | const

Get a reference to the adapted iterator

The documentation for this class was generated from the following file:

- vigra/imageiteratoradapter.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Fri May 19 2017)